#CEDAR_CHECK_GENERATOR([Name], [Version])
#----------------------------------------
AC_DEFUN([CEDAR_CHECK_GENERATOR], [
  m4_define([cedar_prettyname], [$1 $2])dnl
  m4_define([cedar_PKGNAME], [translit([translit([$1$2], [a-z], [A-Z])], [.])])dnl
  m4_define([cedar_pkgname], [translit([translit([$1$2], [A-Z], [a-z])], [.])])dnl
  m4_define([cedar_libname], [lib@&t@cedar_pkgname@&t@.a])dnl
  m4_define([cedar_incname], [cedar_pkgname])dnl

  AC_MSG_RESULT([Checking for cedar_prettyname:]) 
  AC_ARG_WITH([cedar_pkgname],
              AC_HELP_STRING(--with-@&t@cedar_pkgname, path to cedar_prettyname generator),
              [pkgpath=$with_@&t@cedar_pkgname],
              [pkgpath=${prefix}])
  pkglib=yes; pkginc=yes; pkggood=yes

  if test x$pkgpath != xno; then
    AC_CHECK_FILE([$pkgpath/lib/cedar_libname],
                  [AC_MSG_NOTICE([Found cedar_libname])], 
                  [pkglib=no; AC_MSG_NOTICE([trying to find cedar_prettyname library in build directory structure...])])
    if test x$pkglib == xno; then
      AC_CHECK_FILE([$pkgpath/src/cedar_libname],
                    [pkglib=yes; AC_MSG_NOTICE([Found cedar_libname])], 
                    [pkggood=no; AC_MSG_RESULT([cedar_prettyname library "cedar_libname" is not in a standard location])])
    fi
    if test x$pkggood != xno; then
      AC_CHECK_FILE([$pkgpath/include/cedar_incname],
                    [AC_MSG_NOTICE([Found cedar_prettyname header directory])],
                    [pkginc=no; AC_MSG_NOTICE([trying to find cedar_prettyname header directory in build directory structure...])])
      if test x$pkginc == xno; then
        AC_CHECK_FILE([$pkgpath/include],
                      [pkginc=yes; AC_MSG_NOTICE([Found cedar_prettyname header directory])], 
                      [pkggood=no; AC_MSG_RESULT([cedar_prettyname header directory is not in a standard location])])
      fi
    fi
  else
    pkggood=no
  fi
  if test x$pkggood != xno; then
    AC_MSG_RESULT([cedar_prettyname paths verified])
  else
    AC_MSG_RESULT([Not building against cedar_prettyname])
  fi
  # Note quoting subtlty on first arg of AM_CONDITIONAL:
  AM_CONDITIONAL(WITH_@&t@cedar_PKGNAME, [test x$pkggood != xno])
  cedar_PKGNAME@&t@PATH=${pkgpath}
  AC_SUBST(cedar_PKGNAME@&t@PATH)
])


#CEDAR_CHECK_REQDPKG([Name], [Version])
#--------------------------------------
AC_DEFUN([CEDAR_CHECK_REQDPKG], [
  m4_define([cedar_prettyname], [$1])dnl
  m4_define([cedar_PKGNAME], [translit([translit([$1], [a-z], [A-Z])], [.])])dnl
  m4_define([cedar_pkgname], [translit([translit([$1], [A-Z], [a-z])], [.])])dnl
  m4_define([cedar_libname], [lib@&t@cedar_pkgname@&t@.a])dnl
  m4_define([cedar_incname], [cedar_pkgname])dnl

  AC_MSG_RESULT([Checking for cedar_prettyname:])
  AC_ARG_WITH([cedar_pkgname],
              AC_HELP_STRING(--with-@&t@cedar_pkgname, path to cedar_prettyname),
              [pkgpath=$with_@&t@cedar_pkgname], 
              [pkgpath=${prefix}])
  pkglib=yes; pkginc=yes; pkggood=yes

  if test x$pkgpath != xno; then
    AC_CHECK_FILE([${pkgpath}/lib/cedar_libname], [],
                  [pkglib=no; AC_MSG_NOTICE([trying to find cedar_prettyname library in build directory structure...])])
    if test x$pkglib == xno; then
      AC_CHECK_FILE([${pkgpath}/src/cedar_libname], [pkglib=yes], 
                    [AC_MSG_ERROR([cedar_prettyname library "cedar_libname" is not in a standard location])])
    fi
    AC_MSG_NOTICE([Found cedar_libname])
    AC_CHECK_FILE([${pkgpath}/include/cedar_incname], [], 
                  [pkginc=no; AC_MSG_NOTICE([trying to find cedar_prettyname header directory in build directory structure...])])
    if test x$pkginc == xno; then
      AC_CHECK_FILE([${pkgpath}/inc], [pkginc=yes],
                    [AC_MSG_ERROR([cedar_prettyname header directory is not in a standard location])])
    fi
    AC_MSG_NOTICE([Found cedar_prettyname header directory])
  else
    AC_MSG_ERROR([You've specified "--without-@&t@cedar_pkgname", but cedar_prettyname is required to build ${PACKAGE_NAME}])
  fi
  AC_MSG_RESULT([cedar_prettyname paths verified])
  cedar_PKGNAME@&t@PATH=${pkgpath}
  AC_SUBST(cedar_PKGNAME@&t@PATH)
])
